GDAL

Public Member Functions | List of all members
OGRDefaultGeometryVisitor Class Reference

OGRGeometry visitor default implementation. More...

`#include <ogr_geometry.h>`

Inheritance diagram for OGRDefaultGeometryVisitor:

## Public Member Functions
void | visit (OGRPoint *) override
| Visit OGRPoint. More...
void | visit (OGRLineString *) override
| Visit OGRLineString. More...
void | visit (OGRLinearRing *) override
| Visit OGRLinearRing. More...
void | visit (OGRPolygon *) override
| Visit OGRPolygon. More...
void | visit (OGRMultiPoint *) override
| Visit OGRMultiPoint. More...
void | visit (OGRMultiLineString *) override
| Visit OGRMultiLineString. More...
void | visit (OGRMultiPolygon *) override
| Visit OGRMultiPolygon. More...
void | visit (OGRGeometryCollection *) override
| Visit OGRGeometryCollection. More...
void | visit (OGRCircularString *) override
| Visit OGRCircularString. More...
void | visit (OGRCompoundCurve *) override
| Visit OGRCompoundCurve. More...
void | visit (OGRCurvePolygon *) override
| Visit OGRCurvePolygon. More...
void | visit (OGRMultiCurve *) override
| Visit OGRMultiCurve. More...
void | visit (OGRMultiSurface *) override
| Visit OGRMultiSurface. More...
void | visit (OGRTriangle *) override
| Visit OGRTriangle. More...
void | visit (OGRPolyhedralSurface *) override
| Visit OGRPolyhedralSurface. More...
void | visit (OGRTriangulatedSurface *) override
| Visit OGRTriangulatedSurface. More...

## Detailed Description

OGRGeometry visitor default implementation.

This default implementation will recurse down to calling visit(OGRPoint*) on each point.

Since
  GDAL 2.3

## Member Function Documentation

## ◆ visit() [1/16]

void OGRDefaultGeometryVisitor::visit | ( | OGRCircularString * |  | ) |
| overridevirtual

Visit OGRCircularString.

Implements IOGRGeometryVisitor.

## ◆ visit() [2/16]

void OGRDefaultGeometryVisitor::visit | ( | OGRCompoundCurve * |  | ) |
| overridevirtual

Visit OGRCompoundCurve.

Implements IOGRGeometryVisitor.

## ◆ visit() [3/16]

void OGRDefaultGeometryVisitor::visit | ( | OGRCurvePolygon * |  | ) |
| overridevirtual

Visit OGRCurvePolygon.

Implements IOGRGeometryVisitor.

## ◆ visit() [4/16]

void OGRDefaultGeometryVisitor::visit | ( | OGRGeometryCollection * |  | ) |
| overridevirtual

Visit OGRGeometryCollection.

Implements IOGRGeometryVisitor.

## ◆ visit() [5/16]

void OGRDefaultGeometryVisitor::visit | ( | OGRLinearRing * |  | ) |
| overridevirtual

Visit OGRLinearRing.

Implements IOGRGeometryVisitor.

## ◆ visit() [6/16]

void OGRDefaultGeometryVisitor::visit | ( | OGRLineString * |  | ) |
| overridevirtual

Visit OGRLineString.

Implements IOGRGeometryVisitor.

## ◆ visit() [7/16]

void OGRDefaultGeometryVisitor::visit | ( | OGRMultiCurve * |  | ) |
| overridevirtual

Visit OGRMultiCurve.

Implements IOGRGeometryVisitor.

## ◆ visit() [8/16]

void OGRDefaultGeometryVisitor::visit | ( | OGRMultiLineString * |  | ) |
| overridevirtual

Visit OGRMultiLineString.

Implements IOGRGeometryVisitor.

## ◆ visit() [9/16]

void OGRDefaultGeometryVisitor::visit | ( | OGRMultiPoint * |  | ) |
| overridevirtual

Visit OGRMultiPoint.

Implements IOGRGeometryVisitor.

## ◆ visit() [10/16]

void OGRDefaultGeometryVisitor::visit | ( | OGRMultiPolygon * |  | ) |
| overridevirtual

Visit OGRMultiPolygon.

Implements IOGRGeometryVisitor.

## ◆ visit() [11/16]

void OGRDefaultGeometryVisitor::visit | ( | OGRMultiSurface * |  | ) |
| overridevirtual

Visit OGRMultiSurface.

Implements IOGRGeometryVisitor.

## ◆ visit() [12/16]

void OGRDefaultGeometryVisitor::visit | ( | OGRPoint * |  | ) |
| inlineoverridevirtual

Visit OGRPoint.

Implements IOGRGeometryVisitor.

## ◆ visit() [13/16]

void OGRDefaultGeometryVisitor::visit | ( | OGRPolygon * |  | ) |
| overridevirtual

Visit OGRPolygon.

Implements IOGRGeometryVisitor.

## ◆ visit() [14/16]

void OGRDefaultGeometryVisitor::visit | ( | OGRPolyhedralSurface * |  | ) |
| overridevirtual

Visit OGRPolyhedralSurface.

Implements IOGRGeometryVisitor.

## ◆ visit() [15/16]

void OGRDefaultGeometryVisitor::visit | ( | OGRTriangle * |  | ) |
| overridevirtual

Visit OGRTriangle.

Implements IOGRGeometryVisitor.

## ◆ visit() [16/16]

void OGRDefaultGeometryVisitor::visit | ( | OGRTriangulatedSurface * |  | ) |
| overridevirtual

Visit OGRTriangulatedSurface.

Implements IOGRGeometryVisitor.

The documentation for this class was generated from the following files:

- ogr_geometry.h
- ogrgeometry.cpp